BUNDLE_NAME = "openconfig"

CAPABILITIES = {
    "cisco-xr-openconfig-interfaces-types": "2016-10-12",
    "openconfig-aft": "2017-01-13",
    "openconfig-aft-network-instance": "2017-01-13",
    "openconfig-aft-types": "2017-01-13",
    "openconfig-bgp": "2016-06-21",
    "openconfig-bgp-common": "2016-06-21",
    "openconfig-bgp-common-multiprotocol": "2016-06-21",
    "openconfig-bgp-common-structure": "2016-06-21",
    "openconfig-bgp-global": "2016-06-21",
    "openconfig-bgp-neighbor": "2016-06-21",
    "openconfig-bgp-peer-group": "2016-06-21",
    "openconfig-bgp-policy": "2016-06-21",
    "openconfig-bgp-types": "2016-06-21",
    "openconfig-channel-monitor": "2017-07-08",
    "openconfig-extensions": "2015-10-09",
    "openconfig-if-aggregate": "2016-05-26",
    "openconfig-if-ethernet": "2016-05-26",
    "openconfig-if-ip": "2016-05-26",
    "openconfig-if-ip-ext": "2016-12-22",
    "openconfig-inet-types": "2017-04-03",
    "openconfig-interfaces": "2016-05-26",
    "openconfig-isis": "2017-05-15",
    "openconfig-isis-lsdb-types": "2017-05-15",
    "openconfig-isis-lsp": "2017-05-15",
    "openconfig-isis-policy": "2017-05-15",
    "openconfig-isis-routing": "2017-05-15",
    "openconfig-isis-types": "2017-05-15",
    "openconfig-lacp": "2016-05-26",
    "openconfig-lldp": "2016-05-16",
    "openconfig-lldp-types": "2016-05-16",
    "openconfig-local-routing": "2016-05-11",
    "openconfig-mpls": "2015-11-05",
    "openconfig-mpls-igp": "2015-11-05",
    "openconfig-mpls-ldp": "2015-11-05",
    "openconfig-mpls-rsvp": "2015-11-05",
    "openconfig-mpls-sr": "2015-11-05",
    "openconfig-mpls-static": "2015-11-05",
    "openconfig-mpls-te": "2015-11-05",
    "openconfig-mpls-types": "2015-11-05",
    "openconfig-network-instance": "2017-01-13",
    "openconfig-network-instance-l2": "2017-01-13",
    "openconfig-network-instance-l3": "2017-01-13",
    "openconfig-network-instance-types": "2016-12-15",
    "openconfig-optical-amplifier": "2017-07-08",
    "openconfig-packet-match-types": "2016-08-08",
    "openconfig-platform": "2016-06-06",
    "openconfig-platform-transceiver": "2016-05-24",
    "openconfig-platform-types": "2016-06-06",
    "openconfig-policy-types": "2016-05-12",
    "openconfig-rib-bgp": "2016-04-11",
    "openconfig-rib-bgp-types": "2016-04-11",
    "openconfig-routing-policy": "2016-05-12",
    "openconfig-segment-routing": "2017-01-12",
    "openconfig-telemetry": "2016-02-04",
    "openconfig-terminal-device": "2016-06-17",
    "openconfig-transport-line-common": "2017-07-08",
    "openconfig-transport-line-protection": "2017-03-28",
    "openconfig-transport-types": "2016-06-17",
    "openconfig-types": "2017-01-13",
    "openconfig-vlan": "2016-05-26",
    "openconfig-vlan-types": "2016-05-26",
    "openconfig-yang-types": "2017-01-26",
}

ENTITY_LOOKUP = {
    ("http://openconfig.net/yang/bgp", "bgp"): "openconfig_bgp.Bgp",
    ("openconfig-bgp", "bgp"): "openconfig_bgp.Bgp",
    ("http://openconfig.net/yang/channel-monitor", "channel-monitors"): "openconfig_channel_monitor.ChannelMonitors",
    ("openconfig-channel-monitor", "channel-monitors"): "openconfig_channel_monitor.ChannelMonitors",
    ("http://openconfig.net/yang/interfaces", "interfaces"): "openconfig_interfaces.Interfaces",
    ("openconfig-interfaces", "interfaces"): "openconfig_interfaces.Interfaces",
    ("http://openconfig.net/yang/lacp", "lacp"): "openconfig_lacp.Lacp",
    ("openconfig-lacp", "lacp"): "openconfig_lacp.Lacp",
    ("http://openconfig.net/yang/lldp", "lldp"): "openconfig_lldp.Lldp",
    ("openconfig-lldp", "lldp"): "openconfig_lldp.Lldp",
    ("http://openconfig.net/yang/local-routing", "local-routes"): "openconfig_local_routing.LocalRoutes",
    ("openconfig-local-routing", "local-routes"): "openconfig_local_routing.LocalRoutes",
    ("http://openconfig.net/yang/mpls", "mpls"): "openconfig_mpls.Mpls",
    ("openconfig-mpls", "mpls"): "openconfig_mpls.Mpls",
    ("http://openconfig.net/yang/network-instance", "network-instances"): "openconfig_network_instance.NetworkInstances",
    ("openconfig-network-instance", "network-instances"): "openconfig_network_instance.NetworkInstances",
    ("http://openconfig.net/yang/optical-amplfier", "optical-amplifier"): "openconfig_optical_amplifier.OpticalAmplifier",
    ("openconfig-optical-amplifier", "optical-amplifier"): "openconfig_optical_amplifier.OpticalAmplifier",
    ("http://openconfig.net/yang/platform", "components"): "openconfig_platform.Components",
    ("openconfig-platform", "components"): "openconfig_platform.Components",
    ("http://openconfig.net/yang/rib/bgp", "bgp-rib"): "openconfig_rib_bgp.BgpRib",
    ("openconfig-rib-bgp", "bgp-rib"): "openconfig_rib_bgp.BgpRib",
    ("http://openconfig.net/yang/routing-policy", "routing-policy"): "openconfig_routing_policy.RoutingPolicy",
    ("openconfig-routing-policy", "routing-policy"): "openconfig_routing_policy.RoutingPolicy",
    ("http://openconfig.net/yang/telemetry", "telemetry-system"): "openconfig_telemetry.TelemetrySystem",
    ("openconfig-telemetry", "telemetry-system"): "openconfig_telemetry.TelemetrySystem",
    ("http://openconfig.net/yang/terminal-device", "terminal-device"): "openconfig_terminal_device.TerminalDevice",
    ("openconfig-terminal-device", "terminal-device"): "openconfig_terminal_device.TerminalDevice",
    ("http://openconfig.net/yang/optical-transport-line-protection", "aps"): "openconfig_transport_line_protection.Aps",
    ("openconfig-transport-line-protection", "aps"): "openconfig_transport_line_protection.Aps",
    ("http://openconfig.net/yang/vlan", "vlans"): "openconfig_vlan.Vlans",
    ("openconfig-vlan", "vlans"): "openconfig_vlan.Vlans",
}

NAMESPACE_LOOKUP = {
    "cisco-xr-openconfig-interfaces-types": "http://cisco.com/ns/yang/cisco-xr-openconfig-interfaces-types",
    "openconfig-aft": "http://openconfig.net/yang/aft",
    "openconfig-aft-network-instance": "http://openconfig.net/yang/aft/ni",
    "openconfig-aft-types": "http://openconfig.net/yang/fib-types",
    "openconfig-bgp": "http://openconfig.net/yang/bgp",
    "openconfig-bgp-policy": "http://openconfig.net/yang/bgp-policy",
    "openconfig-bgp-types": "http://openconfig.net/yang/bgp-types",
    "openconfig-channel-monitor": "http://openconfig.net/yang/channel-monitor",
    "openconfig-extensions": "http://openconfig.net/yang/openconfig-ext",
    "openconfig-if-aggregate": "http://openconfig.net/yang/interfaces/aggregate",
    "openconfig-if-ethernet": "http://openconfig.net/yang/interfaces/ethernet",
    "openconfig-if-ip": "http://openconfig.net/yang/interfaces/ip",
    "openconfig-if-ip-ext": "http://openconfig.net/yang/interfaces/ip-ext",
    "openconfig-inet-types": "http://openconfig.net/yang/types/inet",
    "openconfig-interfaces": "http://openconfig.net/yang/interfaces",
    "openconfig-isis": "http://openconfig.net/yang/openconfig-isis",
    "openconfig-isis-lsdb-types": "http://openconfig.net/yang/isis-lsdb-types",
    "openconfig-isis-policy": "http://openconfig.net/yang/openconfig-isis-policy",
    "openconfig-isis-types": "http://openconfig.net/yang/isis-types",
    "openconfig-lacp": "http://openconfig.net/yang/lacp",
    "openconfig-lldp": "http://openconfig.net/yang/lldp",
    "openconfig-lldp-types": "http://openconfig.net/yang/lldp/types",
    "openconfig-local-routing": "http://openconfig.net/yang/local-routing",
    "openconfig-mpls": "http://openconfig.net/yang/mpls",
    "openconfig-mpls-ldp": "http://openconfig.net/yang/ldp",
    "openconfig-mpls-rsvp": "http://openconfig.net/yang/rsvp",
    "openconfig-mpls-sr": "http://openconfig.net/yang/sr",
    "openconfig-mpls-types": "http://openconfig.net/yang/mpls-types",
    "openconfig-network-instance": "http://openconfig.net/yang/network-instance",
    "openconfig-network-instance-l3": "http://openconfig.net/yang/network-instance-l3",
    "openconfig-network-instance-types": "http://openconfig.net/yang/network-instance-types",
    "openconfig-optical-amplifier": "http://openconfig.net/yang/optical-amplfier",
    "openconfig-packet-match-types": "http://openconfig.net/yang/packet-match-types",
    "openconfig-platform": "http://openconfig.net/yang/platform",
    "openconfig-platform-transceiver": "http://openconfig.net/yang/platform/transceiver",
    "openconfig-platform-types": "http://openconfig.net/yang/platform-types",
    "openconfig-policy-types": "http://openconfig.net/yang/policy-types",
    "openconfig-rib-bgp": "http://openconfig.net/yang/rib/bgp",
    "openconfig-rib-bgp-types": "http://openconfig.net/yang/rib/bgp-types",
    "openconfig-routing-policy": "http://openconfig.net/yang/routing-policy",
    "openconfig-segment-routing": "http://openconfig.net/yang/ocsr",
    "openconfig-telemetry": "http://openconfig.net/yang/telemetry",
    "openconfig-terminal-device": "http://openconfig.net/yang/terminal-device",
    "openconfig-transport-line-common": "http://openconfig.net/yang/transport-line-common",
    "openconfig-transport-line-protection": "http://openconfig.net/yang/optical-transport-line-protection",
    "openconfig-transport-types": "http://openconfig.net/yang/transport-types",
    "openconfig-types": "http://openconfig.net/yang/openconfig-types",
    "openconfig-vlan": "http://openconfig.net/yang/vlan",
    "openconfig-vlan-types": "http://openconfig.net/yang/vlan-types",
    "openconfig-yang-types": "http://openconfig.net/yang/types/yang",
}

